Focus Groups
Get focus group details
Retrieves a focus group by ID. When status is completed, includes full results with responses grouped by question.
GET
/
focus-groups
/
{id}
cURL
curl https://app.mavera.io/api/v1/focus-groups/YOUR_FOCUS_GROUP_ID \
-H "Authorization: Bearer mvra_live_your_key_here"import requests
import time
headers = {"Authorization": "Bearer mvra_live_your_key_here"}
focus_group_id = "YOUR_FOCUS_GROUP_ID"
while True:
response = requests.get(
f"https://app.mavera.io/api/v1/focus-groups/{focus_group_id}",
headers=headers
)
data = response.json()
print(f"Status: {data['status']}")
if data["status"] == "completed":
print(f"Results: {len(data['results'])} questions analyzed")
break
elif data["status"] == "failed":
print(f"Error: {data.get('error')}")
break
time.sleep(10)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.mavera.io/api/v1/focus-groups/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.mavera.io/api/v1/focus-groups/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"id": "<string>",
"object": "focus_group",
"status": "<string>",
"created_at": 123,
"updated_at": 123,
"name": "<string>",
"sample_size": 123,
"personas": [
{
"id": "<string>",
"name": "<string>",
"category": "<string>",
"description": "<string>"
}
],
"questions": [
{
"question": "How likely are you to recommend this product to a friend?",
"type": "net_promoter_score",
"options": [
"Very Satisfied",
"Satisfied",
"Neutral",
"Dissatisfied"
],
"config": {
"min_value": 123,
"max_value": 123,
"min_label": "<string>",
"max_label": "<string>",
"likert_labels": [
"<string>"
],
"left_label": "<string>",
"right_label": "<string>",
"scale_points": 123,
"matrix_rows": [
"<string>"
],
"matrix_columns": [
"<string>"
],
"attributes": [
"<string>"
],
"rating_scale": 123,
"max_length": 123
},
"description": "<string>",
"is_required": true
}
],
"error": "<string>",
"summary": {
"total_personas": 123,
"total_questions": 123,
"sample_size": 123,
"total_responses": 123,
"total_data_points": 123,
"completed_at": 123
},
"progress": {
"expected_results": 123,
"completed_results": 123,
"percentage": 123
},
"results": [
{
"question_id": "<string>",
"question": "<string>",
"type": "<string>",
"responses": [
{
"persona": {
"id": "<string>",
"name": "<string>"
},
"data": {}
}
]
}
]
}{
"error": {
"message": "Invalid API key.",
"type": "authentication_error",
"code": "invalid_api_key",
"param": null
}
}{
"error": {
"message": "Invalid API key.",
"type": "authentication_error",
"code": "invalid_api_key",
"param": null
}
}Authorizations
API key prefixed with mvra_live_. Create keys at Settings > Developer > API Keys.
Path Parameters
The focus group ID.
Response
Focus group details with results if completed.
Available options:
focus_group Show child attributes
Show child attributes
Show child attributes
Show child attributes
Summary metrics (only when status is completed).
Show child attributes
Show child attributes
Progress info (only when status is generating).
Show child attributes
Show child attributes
Full results grouped by question (only when status is completed).
Show child attributes
Show child attributes
⌘I
cURL
curl https://app.mavera.io/api/v1/focus-groups/YOUR_FOCUS_GROUP_ID \
-H "Authorization: Bearer mvra_live_your_key_here"import requests
import time
headers = {"Authorization": "Bearer mvra_live_your_key_here"}
focus_group_id = "YOUR_FOCUS_GROUP_ID"
while True:
response = requests.get(
f"https://app.mavera.io/api/v1/focus-groups/{focus_group_id}",
headers=headers
)
data = response.json()
print(f"Status: {data['status']}")
if data["status"] == "completed":
print(f"Results: {len(data['results'])} questions analyzed")
break
elif data["status"] == "failed":
print(f"Error: {data.get('error')}")
break
time.sleep(10)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.mavera.io/api/v1/focus-groups/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.mavera.io/api/v1/focus-groups/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"id": "<string>",
"object": "focus_group",
"status": "<string>",
"created_at": 123,
"updated_at": 123,
"name": "<string>",
"sample_size": 123,
"personas": [
{
"id": "<string>",
"name": "<string>",
"category": "<string>",
"description": "<string>"
}
],
"questions": [
{
"question": "How likely are you to recommend this product to a friend?",
"type": "net_promoter_score",
"options": [
"Very Satisfied",
"Satisfied",
"Neutral",
"Dissatisfied"
],
"config": {
"min_value": 123,
"max_value": 123,
"min_label": "<string>",
"max_label": "<string>",
"likert_labels": [
"<string>"
],
"left_label": "<string>",
"right_label": "<string>",
"scale_points": 123,
"matrix_rows": [
"<string>"
],
"matrix_columns": [
"<string>"
],
"attributes": [
"<string>"
],
"rating_scale": 123,
"max_length": 123
},
"description": "<string>",
"is_required": true
}
],
"error": "<string>",
"summary": {
"total_personas": 123,
"total_questions": 123,
"sample_size": 123,
"total_responses": 123,
"total_data_points": 123,
"completed_at": 123
},
"progress": {
"expected_results": 123,
"completed_results": 123,
"percentage": 123
},
"results": [
{
"question_id": "<string>",
"question": "<string>",
"type": "<string>",
"responses": [
{
"persona": {
"id": "<string>",
"name": "<string>"
},
"data": {}
}
]
}
]
}{
"error": {
"message": "Invalid API key.",
"type": "authentication_error",
"code": "invalid_api_key",
"param": null
}
}{
"error": {
"message": "Invalid API key.",
"type": "authentication_error",
"code": "invalid_api_key",
"param": null
}
}